% set the speed of the midi music
#(define midiQuarterNoteSpeed (if (defined? 'midiQuarterNoteSpeed) midiQuarterNoteSpeed 90))

MUSIC = { \transposable #TRANSPOSITION \MUSIC }

verselayout = \layout {
  \LAYOUT
  \context {
    \ChordNames
    \override ChordName.font-size = \songTextChordFontSize
  }
}
TEXT = \markuplist {
  \override #`(transposition . ,TRANSPOSITION)
  \override #`(verselayout . ,verselayout)
  \override #`(verse-chords . ,#{ \chords { \verseChords } #})
  \override #`(verse-reference-voice . ,#{ \global \firstVoice  #})
  \TEXT
}

% nur Output wenn noStandaloneOutput auf false steht
output = #(if (not noStandaloneOutput)
#{
  \bookpart {
    \HEADER

    \score {
      \MUSIC
      \layout { \LAYOUT }
    }

    \TEXT

    \score {
      \unfoldRepeats { \MUSIC \INLINESCOREMUSIC }
      \midi {
        \context {
          \Score
          % Tempo des midi files
          tempoWholesPerMinute = #(ly:make-moment midiQuarterNoteSpeed 4)
        }
      }
    }


  }
#}
)

% if we don't want a standalone output, cause we compile a book, we just have an empty output here,
% so lilypond does not generate output for this song
\book {
  \bookpart { \output }
}